Advisories ยป MGASA-2019-0029

Updated live, ffmpeg, mplayer, and vlc packages fix security vulnerabilities

Publication date: 10 Jan 2019
Type: security
Affected Mageia releases : 6
CVE: CVE-2018-4013 , CVE-2018-15822

Description

A bug in the server implementation of RTSP-over-HTTP in live could allow
a denial-of-service attack.

A bug in the server implementation of RTSP-over-HTTP could allow a
buffer overflow, which could result in the execution of arbitrary code
when parsing a malformed RTSP stream (CVE-2018-4013).

The flv_write_packet function in libavformat/flvenc.c in FFmpeg through
3.3.8 does not check for an empty audio packet, leading to an assertion
failure (CVE-2018-15822).

The live package has been updated to version 2018.11.26, the ffmpeg
package has been updated to version 3.3.9, and the vlc package has been
updated to version 3.0.5, fixing these issues and other bugs.

The mplayer package has been rebuilt against the update live package to
fix the RTSP-over-HTTP issues in mplayer.
                

References

SRPMS

6/core

6/tainted